Description

The "select by attribute", "select by expression" "select by location" (and maybe their random friends, but i'm not sure whether this is

desired) do not have the "selected features only" checkbox.

Use case: i want to select features where "fieldA"='xx' and "fieldB"='ff' but I'm beginner (or occasional user) and  don't know how to use

expression so i'll use "select by attribute" algorithm. Issue is that i can select fieldA='xx' features but it's all. I can't run the second request

on selected features, it runs on whole layer.

History

#1 - 2018-05-16 02:58 PM - Alexander Bruy

- Status changed from Open to Feedback

Looks like duplicate of #18682

#2 - 2018-05-16 03:31 PM - Harrissou Santanna

- Status changed from Feedback to Open

I'd say that they are workarounds but not in all cases.

For example with this feature, I can do a selection with the "select by rectangle" tool (hence no obvious spatial or attribute logic) and refine/adapt the

selection using the algorithms and #18682 parameters. I don't think that #18682 only is enough for this experience.

Then the idea is also, for consistency, to have the same logic and the "selected features only" checkbox present in most (or all other) of the Processing

algorithms dialog.

#3 - 2018-06-01 10:30 AM - Harrissou Santanna

- Resolution set to wontfix

- Status changed from Open to Closed

Thinking more about it, it's indeed a duplicate.
